FreeBSD : FreeBSD -- SCTP ICMPv6 error message vulnerability (78f06a6c-600a-11e6-a6c3-14dae9d210b8)

High Nessus Plugin ID 92915


The remote FreeBSD host is missing one or more security-related updates.


A lack of proper input checks in the ICMPv6 processing in the SCTP stack can lead to either a failed kernel assertion or to a NULL pointer dereference. In either case, a kernel panic will follow.
Impact : A remote, unauthenticated attacker can reliably trigger a kernel panic in a vulnerable system running IPv6. Any kernel compiled with both IPv6 and SCTP support is vulnerable. There is no requirement to have an SCTP socket open.

IPv4 ICMP processing is not impacted by this vulnerability.


Update the affected packages.

See Also

Plugin Details

Severity: High

ID: 92915

File Name: freebsd_pkg_78f06a6c600a11e6a6c314dae9d210b8.nasl

Version: $Revision: 2.2 $

Type: local

Published: 2016/08/12

Modified: 2016/10/19

Dependencies: 12634

Risk Information

Risk Factor: High


Base Score: 7.8

Vector: CVSS2#AV:N/AC:L/Au:N/C:N/I:N/A:C


Base Score: 7.5

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H

Vulnerability Information

CPE: p-cpe:/a:freebsd:freebsd:FreeBSD-kernel, cpe:/o:freebsd:freebsd

Required KB Items: Host/local_checks_enabled, Host/FreeBSD/release, Host/FreeBSD/pkg_info, Settings/ParanoidReport

Patch Publication Date: 2016/08/11

Vulnerability Publication Date: 2016/01/14

Reference Information

CVE: CVE-2016-1879

FreeBSD: SA-16:01.sctp